Name:           jakarta-commons-javaflow
Version:        1.0
Release:        1%{?dist}
Summary:        This is the javax.transaction's spec file.
License:        GPLv2+
URL:            http://www.fedoraproject.org
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires: java-1.7.0-openjdk
BuildRequires:  objectweb-asm >= 0:2.2.3
BuildRequires:  bcel
BuildRequires:  jakarta-commons-io >= 0:1.3.2
#BuildRequires:  jakarta-commons-jci
BuildRequires:  jakarta-commons-logging
BuildRequires:  subversion

Requires:       objectweb-asm >= 0:2.2.3
Requires:       bcel
Requires:       jakarta-commons-io >= 0:1.3.2
#Requires:       jakarta-commons-jci
Requires:       jakarta-commons-logging

%description
Very short description since we have nothing to say.
%prep
%setup -q

%build
export CLASSPATH="/usr/share/java/jfreechart/jfreechart.jar:/usr/share/java/apache-commons-logging.jar:/usr/share/java/objectweb-asm/asm.jar:/usr/share/java/objectweb-asm/asm-tree.jar:/usr/share/java/objectweb-asm/asm-commons.jar:/usr/share/java/objectweb-asm/asm-util.jar:/usr/share/java/objectweb-asm/asm-all.jar"
javac `find . -name *.java`
jar cvf %{name}-%{version}.jar `find . -name *.class` 

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_javadir}
install -p -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/%{name}-%{version}.jar

%changelog
 * Tue Mar 19 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-1
- This is first version
